#pragma once

const int z=5; // zoom

struct Cellule {
    bool etat;
    bool change;
};

class Grille{
    int w, h;
    Cellule* grille;

    bool get(int x, int y) const;
    int compte_voisins(int x, int y, bool tore);

    void reset();
    void change(int x, int y);
    bool get_changement(int x, int y);

public:
    Grille(int w_, int h_);
    ~Grille();
    void set(int x, int y, bool val);
    void toggle(int x, int y);
    void dessine() const;
    void update(bool tore=true);

    void ligne(int x, int y);
    void grenouille(int x, int y);
    void planeur(int x, int y);
};
